Bug 610034 - [abrt] crash in php-cli-5.3.2-2.fc13: Process /usr/bin/php was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in php-cli-5.3.2-2.fc13: Process /usr/bin/php was killed by sign...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:84cf66f5075455ae8e40e36ba27...
Keywords:
: 615436 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-01 12:55 UTC by Radu Alexandru Popescu
Modified: 2011-06-27 19:15 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-27 19:15:18 UTC


Attachments (Terms of Use)
File: backtrace (38.95 KB, text/plain)
2010-07-01 12:55 UTC, Radu Alexandru Popescu
no flags Details

Description Radu Alexandru Popescu 2010-07-01 12:55:36 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/php -C -d include_path=/usr/share/pear -d output_buffering=1 /usr/share/pear/pearcmd.php ?
comment: First noticed the error while running "yum install php-* --exclude=*devel* --exclude=*qt* --exclude=php-eaccelerator"
component: php
executable: /usr/bin/php
global_uuid: 84cf66f5075455ae8e40e36ba2705a6ac48799b9
kernel: 2.6.33.5-124.fc13.x86_64
package: php-cli-5.3.2-2.fc13
rating: 4
reason: Process /usr/bin/php was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Try to run pear command

Comment 1 Radu Alexandru Popescu 2010-07-01 12:55:39 UTC
Created attachment 428392 [details]
File: backtrace

Comment 2 Radu Alexandru Popescu 2010-07-21 18:06:03 UTC
While installing on another machine I managed to rule out the following packages as the culprits:
( link with package versions and repo: http://pastebin.com/smhtUPCj )
php.x86_64
php-Smarty.noarch
php-ZendFramework.noarch
php-ZendFramework-Auth-Adapter-Ldap.noarch
php-ZendFramework-Cache-Backend-Apc.noarch
php-ZendFramework-Cache-Backend-Memcached.noarch
php-ZendFramework-Captcha.noarch
php-ZendFramework-Db-Adapter-Firebird.noarch
php-ZendFramework-Db-Adapter-Mysqli.noarch
php-ZendFramework-Dojo.noarch
php-ZendFramework-Feed.noarch
php-ZendFramework-Gdata.noarch
php-ZendFramework-Ldap.noarch
php-ZendFramework-Pdf.noarch
php-ZendFramework-Search-Lucene.noarch
php-ZendFramework-Services.noarch
php-ZendFramework-Soap.noarch
php-ZendFramework-demos.noarch
php-ZendFramework-extras.noarch
php-adodb.noarch
php-bcmath.x86_64
php-channel-ezc.noarch
php-channel-phing.noarch
php-channel-phpdb.noarch
php-channel-phpunit.noarch
php-channel-symfony.noarch
php-cli.x86_64
php-common.x86_64
php-domxml-php4-php5.noarch
php-ezc-Archive.noarch
php-ezc-Authentication.noarch
php-ezc-AuthenticationDatabaseTiein.noarch
php-ezc-Base.noarch
php-ezc-Cache.noarch
php-ezc-Configuration.noarch
php-ezc-ConsoleTools.noarch
php-ezc-Database.noarch
php-ezc-DatabaseSchema.noarch
php-ezc-EventLog.noarch
php-ezc-EventLogDatabaseTiein.noarch
php-ezc-Feed.noarch
php-ezc-File.noarch
php-ezc-Graph.noarch
php-ezc-Mail.noarch
php-ezc-PersistentObject.noarch
php-ezc-PersistentObjectDatabaseSchemaTiein.noarch
php-ezc-SystemInformation.noarch
php-ezc-Template.noarch
php-ezc-Webdav.noarch
php-gd.x86_64
php-imap.x86_64
php-interbase.x86_64
php-ldap.x86_64
php-mbstring.x86_64
php-mcrypt.x86_64
php-mssql.x86_64
php-mysql.x86_64
php-pdb.noarch
php-pdo.x86_64
php-pear.noarch
php-pear-Auth.noarch
php-pear-Auth-OpenID.noarch
php-pear-Auth-RADIUS.noarch
php-pear-Auth-SASL.noarch
php-pear-Auth-radius.noarch
php-pear-Auth-samba.noarch
php-pear-Auth_HTTP.noarch
php-pear-Benchmark.noarch
php-pear-CAS.noarch
php-pear-Cache.noarch
php-pear-Cache-Lite.noarch
php-pear-Console-Color.noarch
php-pear-Console-Getargs.noarch
php-pear-Console-ProgressBar.noarch
php-pear-Console-Table.noarch
php-pear-Crypt-Blowfish.noarch
php-pear-Crypt-CHAP.noarch
php-pear-DB.noarch
php-pear-DB-DataObject.noarch
php-pear-DB-DataObject-FormBuilder.noarch
php-pear-DB-QueryTool.noarch
php-pear-Date.noarch
php-pear-Date-Holidays.noarch
php-pear-Date-Holidays-USA.noarch
php-pear-Event-Dispatcher.noarch
php-pear-File.noarch
php-pear-File-Bittorrent2.noarch
php-pear-File-Find.noarch
php-pear-File-Passwd.noarch
php-pear-File-SMBPasswd.noarch
php-pear-HTML-Common.noarch
php-pear-HTML-QuickForm.noarch
php-pear-HTML-QuickForm-ElementGrid.noarch
php-pear-HTML-QuickForm-advmultiselect.noarch
php-pear-HTML-Table.noarch
php-pear-HTML-Template-IT.noarch
php-pear-HTML_Javascript.noarch
php-pear-HTML_Template_PHPLIB.noarch
php-pear-HTTP.noarch
php-pear-HTTP-Client.noarch
php-pear-HTTP-OAuth.noarch
php-pear-HTTP-Request.noarch
php-pear-HTTP-Request2.noarch
php-pear-HTTP-Upload.noarch
php-pear-Image-Canvas.noarch
php-pear-Image-Color.noarch
php-pear-Image-Graph.noarch
php-pear-Image-GraphViz.noarch
php-pear-Log.noarch
php-pear-MDB2.noarch
php-pear-MDB2-Driver-mysql.noarch
php-pear-MDB2-Driver-mysqli.noarch
php-pear-MDB2-Driver-pgsql.noarch
php-pear-Mail.noarch
php-pear-Mail-Mime.noarch
php-pear-Mail-mimeDecode.noarch
php-pear-Math-Stats.noarch
php-pear-Net-Curl.noarch
php-pear-Net-DIME.noarch
php-pear-Net-DNS.noarch
php-pear-Net-FTP.noarch
php-pear-Net-IPv4.noarch
php-pear-Net-POP3.noarch
php-pear-Net-Ping.noarch
php-pear-Net-SMTP.noarch
php-pear-Net-Sieve.noarch
php-pear-Net-Socket.noarch
php-pear-Net-Traceroute.noarch
php-pear-Net-URL.noarch
php-pear-Net-URL-Mapper.noarch
php-pear-Net-URL2.noarch
php-pear-Net-UserAgent-Detect.noarch
php-pear-Numbers-Roman.noarch
php-pear-Numbers-Words.noarch
php-pear-OLE.noarch
php-pear-PEAR-Command-Packaging.noarch
php-pear-PHP-CodeSniffer.noarch
php-pear-PHP-Compat.noarch
php-pear-PHP-CompatInfo.noarch
php-pear-Pager.noarch
php-pear-Payment-Process.noarch
php-pear-Phlickr.noarch
php-pear-PhpDocumentor.noarch
php-pear-PhpDocumentor-docs.noarch
php-pear-SOAP.noarch
php-pear-Services-Twitter.noarch
php-pear-Services-Weather.noarch
php-pear-Spreadsheet-Excel-Writer.noarch
php-pear-Structures-DataGrid.noarch
php-pear-Structures-DataGrid-DataSource-Array.noarch
php-pear-Structures-DataGrid-DataSource-DataObject.noarch
php-pear-Structures-DataGrid-DataSource-MDB2.noarch
php-pear-Structures-DataGrid-DataSource-RSS.noarch
php-pear-Structures-DataGrid-Renderer-Pager.noarch
php-pear-Structures-DataGrid-Renderer-Smarty.noarch
php-pear-Text-Diff.noarch
php-pear-Validate.noarch
php-pear-Validate-Finance-CreditCard.noarch
php-pear-Var-Dump.noarch
php-pear-XML-Beautifier.noarch
php-pear-XML-Parser.noarch
php-pear-XML-RSS.noarch
php-pear-XML-Serializer.noarch
php-pear-creole.noarch
php-pear-pake.noarch
php-pear-phing.noarch
php-pear-propel_generator.noarch
php-pear-propel_runtime.noarch
php-pecl-apc.x86_64
php-pecl-geoip.x86_64
php-pecl-gmagick.x86_64
php-pecl-imagick.x86_64
php-pecl-lzf.x86_64
php-pecl-mailparse.x86_64
php-pecl-memcache.x86_64
php-pecl-memcached.x86_64
php-pecl-ncurses.x86_64
php-pecl-parsekit.x86_64
php-pecl-pdflib.x86_64
php-pecl-radius.x86_64
php-pecl-runkit.x86_64
php-pecl-selinux.x86_64
php-pecl-solr.x86_64
php-pecl-sphinx.x86_64
php-pecl-ssh2.x86_64
php-pecl-xdebug.x86_64
php-pgsql.x86_64
php-phpunit-PHPUnit.noarch
php-process.x86_64
php-snmp.x86_64
php-soap.x86_64
php-suhosin.x86_64
php-symfony-YAML.noarch
php-xml.x86_64

Comment 3 Remi Collet 2010-07-21 18:34:36 UTC
You have really a lot of extensions installed
Do you really need all ?

gmagick and imagick (at least) are inccompatible and shouldn't be installed together.

memcache and memcached are alternatives (both installed have no sense)

try removing those extension you don't need.

Comment 4 Radu Alexandru Popescu 2010-07-22 18:06:49 UTC
The crash was generated on a test server I installed, on witch, to my shame, I was lazy enough to just type 'yum install *php* --exclude=*devel* --exclude=php-eaccelerator' and get it over with.

The packages listed there work together (well, except imagick one, tho on F11 I had it installed with gmagick and co-existed peacefully).

Since it is a testing server I can install packages until I find the package that generated this kind of crash (imagick only makes php exit when it actually uses the module, my crash is way worse: php crashes from the get-go), so let me know if I should do so.

Comment 5 Karel Klíč 2010-11-08 18:38:39 UTC
*** Bug 615436 has been marked as a duplicate of this bug. ***

Comment 6 Jim Jagielski 2011-02-09 16:57:03 UTC
Suhosin 0.9.29 is known buggy and broken with PHP 5.3.x.

Latest version (0.9.31) should replace the EPEL 0.9.29 version.

Comment 7 Bug Zapper 2011-06-01 15:04:02 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2011-06-27 19:15:18 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.